javax.faces.application

## Class ViewExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.application.ViewExpiredException

- All Implemented Interfaces:
    Serializable

      public class ViewExpiredException
      extends FacesException

  Implementations must throw this `FacesException` when attempting to restore the view `StateManager.restoreView(javax.faces.context.FacesContext, String, String)` results in failure on postback.

  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewExpiredException()` Construct a new exception with no detail message or root cause.
    `ViewExpiredException(String viewId)` Construct a new exception with the specified view identifier.
    `ViewExpiredException(String message, String viewId)` Construct a new exception with the specified detail message and no root cause.
    `ViewExpiredException(String message, Throwable cause, String viewId)` Construct a new exception with the specified detail message and root cause.
    `ViewExpiredException(Throwable cause, String viewId)` Construct a new exception with the specified root cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Return the message for this exception prepended with the view identifier if the view identifier is not `null`, otherwise, return the message.
    `String` | `getViewId()` Return the view identifier of this exception, or `null` if the view identifier is nonexistent or unknown.

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewExpiredException

          public ViewExpiredException()

      Construct a new exception with no detail message or root cause.

    - #### ViewExpiredException

          public ViewExpiredException(String viewId)

      Construct a new exception with the specified view identifier.

      Parameters:
        `viewId` - The view identifier for this exception

    - #### ViewExpiredException

          public ViewExpiredException(String message,
                              String viewId)

      Construct a new exception with the specified detail message and no root cause.

      Parameters:
        `message` - The detail message for this exception
        `viewId` - The view identifier for this exception

    - #### ViewExpiredException

          public ViewExpiredException(Throwable cause,
                              String viewId)

      Construct a new exception with the specified root cause. The detail message will be set to `(cause == null ? null : cause.toString()`

      Parameters:
        `cause` - The root cause for this exception
        `viewId` - The view identifier for this exception

    - #### ViewExpiredException

          public ViewExpiredException(String message,
                              Throwable cause,
                              String viewId)

      Construct a new exception with the specified detail message and root cause.

      Parameters:
        `message` - The detail message for this exception
        `cause` - The root cause for this exception
        `viewId` - The view identifier for this exception

  - ### Method Detail

    - #### getViewId

          public String getViewId()

      Return the view identifier of this exception, or `null` if the view identifier is nonexistent or unknown.

    - #### getMessage

          public String getMessage()

      Return the message for this exception prepended with the view identifier if the view identifier is not `null`, otherwise, return the message.

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.